@ECHO OFF
:BEGIN

:: INFORMATION =================================================
:: To give modders a helping hand, this script is written to extract
:: all No Man's Sky data files for modders to inspect and experiment
:: with. After running this script you should have all data files
:: un-packed and ready for further editing. by Simon Postma.

:: CONFIGURATION ================================================

	:: Where is your game installed? (WARNING: DO NOT PUT A \ AT THE END)
	SET gameDir=C:\Program Files (x86)\Steam\steamapps\common\No Man's Sky
	
	:: Where do you want your files extracted? (WARNING: DO NOT PUT A \ AT THE END)
	SET extractDir=C:\NMSextractedFiles

:: SCRIPT =======================================================

echo.
echo Getting ready to extract No Man's Sky data files to the following directory:
echo %extractDir%
echo.
TIMEOUT 15

mkdir "%extractDir%"
mkdir "%extractDir%\6CA053F1"
mkdir "%extractDir%\6F021DFD"
mkdir "%extractDir%\70F7A98C"
mkdir "%extractDir%\715AAAD6"
mkdir "%extractDir%\7196415F"
mkdir "%extractDir%\8A317009"
mkdir "%extractDir%\8A8FE611"
mkdir "%extractDir%\8DF707C"
mkdir "%extractDir%\90053C60"
mkdir "%extractDir%\95076920"
mkdir "%extractDir%\971CEE2E"
mkdir "%extractDir%\973CACEA"
mkdir "%extractDir%\99E6D5E2"
mkdir "%extractDir%\9A783A84"
mkdir "%extractDir%\9C10B65D"
mkdir "%extractDir%\A11D7F99"
mkdir "%extractDir%\A13248F1"
mkdir "%extractDir%\A206CF43"
mkdir "%extractDir%\A6F37BC8"
mkdir "%extractDir%\A70575A"
mkdir "%extractDir%\AE23BCEA"
mkdir "%extractDir%\B9700502"
mkdir "%extractDir%\B998603B"
mkdir "%extractDir%\C0048E6E"
mkdir "%extractDir%\CA1BC01E"
mkdir "%extractDir%\CE11B7EB"
mkdir "%extractDir%\CE8DDE7C"
mkdir "%extractDir%\CF65DDB2"
mkdir "%extractDir%\D8464B7A"
mkdir "%extractDir%\DEEEE8A1"
mkdir "%extractDir%\E0D70DC1"
mkdir "%extractDir%\E18CB95F"
mkdir "%extractDir%\E1C9922D"
mkdir "%extractDir%\E2C6B667"
mkdir "%extractDir%\E3C9B47A"
mkdir "%extractDir%\E69F8C9C"
mkdir "%extractDir%\EEAC04FA"
mkdir "%extractDir%\F623A57"
mkdir "%extractDir%\F69678E1"
mkdir "%extractDir%\FDA9E619"
mkdir "%extractDir%\FFAAE441"

psarc extract --to="%extractDir%\17657172" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.17657172.pak"
psarc extract --to="%extractDir%\187EB3CA" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.187EB3CA.pak"
psarc extract --to="%extractDir%\1A1B4C22" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.1A1B4C22.pak"
psarc extract --to="%extractDir%\1C0AFE82" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.1C0AFE82.pak"
psarc extract --to="%extractDir%\1CF0A290" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.1CF0A290.pak"
psarc extract --to="%extractDir%\25A9040A" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.25A9040A.pak"
psarc extract --to="%extractDir%\25E773B8" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.25E773B8.pak"
psarc extract --to="%extractDir%\2740118B" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.2740118B.pak"
psarc extract --to="%extractDir%\2B22EB1B" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.2B22EB1B.pak"
psarc extract --to="%extractDir%\2B5E2C3E" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.2B5E2C3E.pak"
psarc extract --to="%extractDir%\2BB4E68C" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.2BB4E68C.pak"
psarc extract --to="%extractDir%\3F9EF596" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.3F9EF596.pak"
psarc extract --to="%extractDir%\42976022" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.42976022.pak"
psarc extract --to="%extractDir%\4C65413D" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.4C65413D.pak"
psarc extract --to="%extractDir%\4F9B8F8E" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.4F9B8F8E.pak"
psarc extract --to="%extractDir%\4FA03C1C" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.4FA03C1C.pak"
psarc extract --to="%extractDir%\553AF401" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.553AF401.pak"
psarc extract --to="%extractDir%\57B53F82" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.57B53F82.pak"
psarc extract --to="%extractDir%\654FBB65" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.654FBB65.pak"
psarc extract --to="%extractDir%\67B0BAFB" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.67B0BAFB.pak"
psarc extract --to="%extractDir%\6998AA74" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.6998AA74.pak"
psarc extract --to="%extractDir%\6CA053F1" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.6CA053F1.pak"
psarc extract --to="%extractDir%\6F021DFD" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.6F021DFD.pak"
psarc extract --to="%extractDir%\70F7A98C" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.70F7A98C.pak"
psarc extract --to="%extractDir%\715AAAD6" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.715AAAD6.pak"
psarc extract --to="%extractDir%\7196415F" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.7196415F.pak"
psarc extract --to="%extractDir%\8A317009" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.8A317009.pak"
psarc extract --to="%extractDir%\8A8FE611" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.8A8FE611.pak"
psarc extract --to="%extractDir%\8DF707C" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.8DF707C.pak"
psarc extract --to="%extractDir%\90053C60" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.90053C60.pak"
psarc extract --to="%extractDir%\95076920" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.95076920.pak"
psarc extract --to="%extractDir%\971CEE2E" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.971CEE2E.pak"
psarc extract --to="%extractDir%\973CACEA" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.973CACEA.pak"
psarc extract --to="%extractDir%\99E6D5E2" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.99E6D5E2.pak"
psarc extract --to="%extractDir%\9A783A84" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.9A783A84.pak"
psarc extract --to="%extractDir%\9C10B65D" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.9C10B65D.pak"
psarc extract --to="%extractDir%\A11D7F99" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.A11D7F99.pak"
psarc extract --to="%extractDir%\A13248F1" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.A13248F1.pak"
psarc extract --to="%extractDir%\A206CF43" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.A206CF43.pak"
psarc extract --to="%extractDir%\A6F37BC8" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.A6F37BC8.pak"
psarc extract --to="%extractDir%\A70575A" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.A70575A.pak"
psarc extract --to="%extractDir%\AE23BCEA" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.AE23BCEA.pak"
psarc extract --to="%extractDir%\B9700502" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.B9700502.pak"
psarc extract --to="%extractDir%\B998603B" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.B998603B.pak"
psarc extract --to="%extractDir%\C0048E6E" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.C0048E6E.pak"
psarc extract --to="%extractDir%\CA1BC01E" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.CA1BC01E.pak"
psarc extract --to="%extractDir%\CE11B7EB" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.CE11B7EB.pak"
psarc extract --to="%extractDir%\CE8DDE7C" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.CE8DDE7C.pak"
psarc extract --to="%extractDir%\CF65DDB2" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.CF65DDB2.pak"
psarc extract --to="%extractDir%\D8464B7A" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.D8464B7A.pak"
psarc extract --to="%extractDir%\DEEEE8A1" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.DEEEE8A1.pak"
psarc extract --to="%extractDir%\E0D70DC1" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.E0D70DC1.pak"
psarc extract --to="%extractDir%\E18CB95F" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.E18CB95F.pak"
psarc extract --to="%extractDir%\E1C9922D" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.E1C9922D.pak"
psarc extract --to="%extractDir%\E2C6B667" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.E2C6B667.pak"
psarc extract --to="%extractDir%\E3C9B47A" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.E3C9B47A.pak"
psarc extract --to="%extractDir%\E69F8C9C" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.E69F8C9C.pak"
psarc extract --to="%extractDir%\EEAC04FA" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.EEAC04FA.pak"
psarc extract --to="%extractDir%\F623A57" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.F623A57.pak"
psarc extract --to="%extractDir%\F69678E1" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.F69678E1.pak"
psarc extract --to="%extractDir%\FDA9E619" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.FDA9E619.pak"
psarc extract --to="%extractDir%\FFAAE441" "%gameDir%\GAMEDATA\PCBANKS\NMSARC.FFAAE441.pak"

echo.
echo ====================
echo All 'No Man's Sky' data files extracted to %extractDir%!
echo ====================
echo.
TIMEOUT 15
:END